Skip to content

Get Tunnel List

GET
/api/v1/vpc/tunnels/{VPC_NETWORK_ID}/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/vpc/tunnels/{VPC_NETWORK_ID}/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'
VPC_NETWORK_ID
required
integer

VPC Network ID

project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

Tunnels fetched successfully

Media typeapplication/json
object
code
integer
data
Array<object>
object
errors
object
key
additional properties
string
message
string

Example

{
"code": 200,
"data": [],
"errors": {},
"message": "Tunnels fetched successfully."
}